Contents

# Input Function [VBA]

Returns the open stream of an Input or Binary file (String).

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

            Input( Number as Integer, [# ] FileNumber as Integer)

### Return value:

String

### Parameters:

Number: Required. Numeric expression specifying the number of characters to return.

#: Optional.

FileNumber: Required. Any valid file number.

### Error codes:

6 Guutinsa darbaa 6 Guutinsa darbaa

52 Maqaa faayiylii yookiin lakkoofsa yaraa

62 Faaayilii naqaa isa dhuma

### Example:

            REM ***** BASIC *****
            Option VBASupport 1
            Sub Example_Input
                Dim MyData
                Open "MyDataFile.txt" For Input As #1
                Do While Not EOF(1)
                    MyData = Input(1, #1)
                    Print MyData
                Loop
                Close #1
            End Sub

Matadureewwan Walfakkatan

Input# Statement

VBA I/O functions